Archive Agent
Archive or restore a voice agent
Send {"status": "archived"} to deactivate an agent, or {"status": "active"} to restore it. Archived agents cannot receive calls but their history and definition are preserved.
PUT
/api/v1/workflow/{workflow_id}/statusParameters#
| Name | Located in | Type | Required | Description |
|---|---|---|---|---|
workflow_id | path | integer | Yes | — |
Request body#
| Field | Type | Required | Description |
|---|---|---|---|
status | string | Yes | — |
Example request body:
{
"status": "string"
}Responses#
200 — Successful Response
{
"id": 0,
"name": "Example Name",
"status": "string",
"created_at": "2026-01-15T10:30:00Z",
"workflow_definition": {},
"current_definition_id": 0,
"template_context_variables": {},
"call_disposition_codes": {},
"total_runs": 0,
"workflow_configurations": {}
}404 — Not found
422 — Validation Error
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}